| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Gaudi::HistogramBase Class Referenceabstract

Common base class for all histograms Use is solely functional to minimize dynamic_casts inside HistogramSvc. More...

`#include <HistogramSvc/HistogramBase.h>`

Inheritance diagram for Gaudi::HistogramBase:
[legend]

## Public Member Functions
virtual TObject * | representation () const =0
| ROOT object implementation. More...
virtual void | adoptRepresentation (TObject *rep)=0
| Adopt ROOT histogram representation. More...
virtual std::ostream & | print (std::ostream &s) const =0
| Print histogram to output stream. More...
virtual std::ostream & | write (std::ostream &s) const =0
| Write (binary) histogram to output stream. More...
virtual int | write (const char *file_name) const =0
| Write (binary) histogram to file. More...
virtual | ~HistogramBase ()=default

## Detailed Description

Common base class for all histograms Use is solely functional to minimize dynamic_casts inside HistogramSvc.

Author
  M.Frank

Version
  1.0

Definition at line 23 of file HistogramBase.h.

## Constructor & Destructor Documentation

virtual Gaudi::HistogramBase::~HistogramBase | ( |  | ) |
| virtual default

## Member Function Documentation

virtual void Gaudi::HistogramBase::adoptRepresentation | ( | TObject * | rep | ) |
| pure virtual

Adopt ROOT histogram representation.

Implemented in Gaudi::Generic2D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic1D< AIDA::IProfile1D, TProfile >, Gaudi::Generic1D< AIDA::IHistogram1D, TH1D >, Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic2D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic3D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic2D< AIDA::IProfile2D, TProfile2D >, Gaudi::Generic2D< AIDA::IHistogram2D, TH2D >, Gaudi::Generic3D< AIDA::IHistogram3D, TH3D >, Gaudi::Generic2D< INTERFACE, IMPLEMENTATION >, Gaudi::Histogram1D, and Gaudi::Generic3D< INTERFACE, IMPLEMENTATION >.

virtual std::ostream& Gaudi::HistogramBase::print | ( | std::ostream & | s | ) | const
| pure virtual

Print histogram to output stream.

Implemented in Gaudi::Generic3D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic3D< AIDA::IHistogram3D, TH3D >, Gaudi::Generic2D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic2D< AIDA::IProfile2D, TProfile2D >, Gaudi::Generic2D< AIDA::IHistogram2D, TH2D >, Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic1D< AIDA::IProfile1D, TProfile >, and Gaudi::Generic1D< AIDA::IHistogram1D, TH1D >.

virtual TObject* Gaudi::HistogramBase::representation | ( |  | ) | const
| pure virtual

ROOT object implementation.

Implemented in Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic1D< AIDA::IProfile1D, TProfile >, Gaudi::Generic1D< AIDA::IHistogram1D, TH1D >, Gaudi::Generic2D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic3D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic2D< AIDA::IProfile2D, TProfile2D >, Gaudi::Generic2D< AIDA::IHistogram2D, TH2D >, and Gaudi::Generic3D< AIDA::IHistogram3D, TH3D >.

virtual std::ostream& Gaudi::HistogramBase::write | ( | std::ostream & | s | ) | const
| pure virtual

Write (binary) histogram to output stream.

Implemented in Gaudi::Generic3D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic3D< AIDA::IHistogram3D, TH3D >, Gaudi::Generic2D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic2D< AIDA::IProfile2D, TProfile2D >, Gaudi::Generic2D< AIDA::IHistogram2D, TH2D >, Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic1D< AIDA::IProfile1D, TProfile >, and Gaudi::Generic1D< AIDA::IHistogram1D, TH1D >.

virtual int Gaudi::HistogramBase::write | ( | const char * | file_name | ) | const
| pure virtual

Write (binary) histogram to file.

Implemented in Gaudi::Generic3D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic3D< AIDA::IHistogram3D, TH3D >, Gaudi::Generic2D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic2D< AIDA::IProfile2D, TProfile2D >, Gaudi::Generic2D< AIDA::IHistogram2D, TH2D >, Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >, Gaudi::Generic1D< AIDA::IProfile1D, TProfile >, and Gaudi::Generic1D< AIDA::IHistogram1D, TH1D >.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/HistogramBase.h